Subject: Glibc Error

From: root <[email-masked]>
Date: Tue, 16 May 2000 17:08:10 +0900

Greetings,

Now I'm trying to set up the cross-compile environment for porting Linux

on Assabet board.  The used packages are as follows.

binutils-2.9.5.0.42
gcc-2.95.2
linux-2.3.99

After compiling the above utils, I can boot the Assabet board, however I

cannot install glibc-2.1.3 with glibc-linuxthreads and crypt.  The used
compilation commands are as follows

CC=arm-linux-gcc ./configure arm-linux --build=i686-pc-linux-gnu
--prefix=/usr/local/arm/glibc/arm-glibc
--enable-add-ons=linuxthreads,crypt
--with-headers=/usr/src/linux-2.3.99/linux/include

It succeeds, but after do 'make', error messages appear as follows.

/usr/local/arm/arm-linux/bin/ld: unrecognised emulation mode: elf32arm
Supported emulations: armelf_linux armelf_linux26 armelf
collect2: ld returned 1 exit status
make[1]: *** [crt1.o] Error 1
make[1]: Leaving directory `/root/working/glibc-2.1.3/csu'
make: *** [csu/subdir_lib] Error 2

What's wrong in my steps? Plz, give me some advices :)
Thanks in advance.

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++